## org.apache.http.protocol
Class DefaultedHttpContext

    java.lang.Object
      org.apache.http.protocol.DefaultedHttpContext

All Implemented Interfaces:
  HttpContext

    @NotThreadSafe
    public final class DefaultedHttpContext

extends Object
implements HttpContext

`HttpContext` implementation that delegates resolution of an attribute to the given default `HttpContext` instance if the attribute is not present in the local one. The state of the local context can be mutated, whereas the default context is treated as read-only.

Since:
  4.0

Field Summary

Fields inherited from interface org.apache.http.protocol.HttpContext
`RESERVED_PREFIX`

Constructor Summary
`DefaultedHttpContext(HttpContext local, HttpContext defaults)`

Method Summary
`Object` `getAttribute(String id)` Obtains attribute with the given name.
`HttpContext` `getDefaults()`
`Object` `removeAttribute(String id)` Removes attribute with the given name from the context.
`void` `setAttribute(String id, Object obj)` Sets value of the attribute with the given name.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultedHttpContext

    public DefaultedHttpContext(HttpContext local,
                                HttpContext defaults)

Method Detail

### getAttribute

    public Object getAttribute(String id)

  Description copied from interface: `HttpContext`
  Obtains attribute with the given name.

  Specified by:
    `getAttribute` in interface `HttpContext`
  Parameters:
    `id` - the attribute name.
  Returns:
    attribute value, or `null` if not set.

### removeAttribute

    public Object removeAttribute(String id)

  Description copied from interface: `HttpContext`
  Removes attribute with the given name from the context.

  Specified by:
    `removeAttribute` in interface `HttpContext`
  Parameters:
    `id` - the attribute name.
  Returns:
    attribute value, or `null` if not set.

### setAttribute

    public void setAttribute(String id,
                             Object obj)

  Description copied from interface: `HttpContext`
  Sets value of the attribute with the given name.

  Specified by:
    `setAttribute` in interface `HttpContext`
  Parameters:
    `id` - the attribute name.
    `obj` - the attribute value.

### getDefaults

    public HttpContext getDefaults()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.